/*------------------------------------*\
# TOP BAR
\*------------------------------------*/

.top-bar {
    width: 100%;
    height: fit-content;
    padding: 15px 60px;
    background-color: var(--light-teal);
    color: var(--teal);
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 60px;
    font-weight: bold;
    white-space: nowrap;
}

.top-bar a {
    color: var(-teal);
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: 1.25rem;
}

.top-bar svg {
    width: 22px;
    height: 22px;
}

.top-bar .switch-input {
    margin-right: auto;
}

.top-bar .switch-input label {
    margin: 0;
}

.top-bar .switch-input label::after {
    background-image: url('../../img/icons/sun.svg');
    background-repeat: no-repeat;
    background-size: 60%;
    background-position: center;
}

.top-bar .switch-input label:has(input:checked)::after {
    background-image: url('../../img/icons/moon.svg');
}



/*------------------------------------*\
# HEADER
\*------------------------------------*/

.header-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
    padding-top: 52px;
    top: 0;
    left: 0;
    pointer-events: none;
}

header {
    pointer-events: all;
    width: 100%;
    position: sticky;
    top: 0;
    z-index: 1000;
    height: 60px;
    box-sizing: content-box;
    padding: 10px 0;
    margin: 0;
    border-bottom: 1px solid rgb(51, 91, 91, .25);
    transition: 800ms all cubic-bezier(.645, .045, .355, 1), 0ms border ease-out 800ms, 250ms background ease-out, 250ms padding;
}

.header-content {
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 60px;
    width: 100%;
    column-gap: 20px;
    margin: auto;
    border-radius: 40px;
    transition: 250ms background ease-out, 800ms padding cubic-bezier(.645, .045, .355, 1);
}

header .logo-container,
header .button-container {
    width: 21.1rem;
}

header .logo-container,
.logo-img {
    height: 100%;
    display: flex;
    align-items: center;
}

.logo-img {
    width: fit-content;
    display: flex;
    align-items: center;
}

.logo-img .logo-icon {
    height: 90%;
    margin-right: 25px;
    display: flex;
    align-items: center;
    transition: 800ms all cubic-bezier(.645, .045, .355, 1), 400ms opacity cubic-bezier(.645, .045, .355, 1) 200ms;
}

.logo-img img {
    display: block;
}

.logo-img .registered {
    font-family: 'Aristotelica Display Trial';
    font-weight: 600;
    line-height: .6;
    margin-top: 31px;
    margin-left: 5px;
    transition: 800ms margin;
}

header.active .logo-img .registered {
    margin-top: 22px;
}

header ul {
    margin: 0 auto;
    gap: 20px;
}

header ul,
header .button-container {
    display: flex;
    font-weight: bold;
    height: fit-content;
    align-items: center;
}

header .button-container {
    display: flex;
    justify-content: end;
    gap: 10px;
}

.header-nav-item>a {
    display: block;
    text-align: center;
    position: relative;
    font-size: 1rem;
    padding: 7px 10px;
    border-radius: 7px;
    white-space: nowrap;
}

.header-nav-item>a:after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    background-color: var(--teal);
    bottom: 0;
    left: 0;
    transition-duration: 350ms;
    transition-property: width, background-color;
    transition-timing-function: var(--ease-expo);
}

.header-nav-item>a:hover:after,
.header-nav-item.active>a:after {
    width: 100%;
}

.header-nav-item.activate_hover:hover {
    padding: 100px 0;
}

.logo-img img {
    transition: 250ms opacity;
}

.logo-img img {
    height: 100%;
    opacity: 1;
}

.logo-img svg {
    display: fit-content;
    overflow: visible;
    height: 50px;
    transform: translateY(-4px);
    max-height: 100%;
}

header.active .logo-img svg {
    transform: translateY(0px);
}

/* Buttons */

header .button-container .button {
    padding-top: 7px;
    padding-bottom: 7px;
    white-space: nowrap;
}

header .button-container .fill-button {
    padding-left: 30px;
    padding-right: 30px;
}

header .button-container .border-button {
    background-color: transparent;
    border-color: var(--teal);
    padding-left: 20px;
    padding-right: 20px;
}

header .button-container .border-button i {
    transform: translateY(1px);
}

header .button-container .border-button:hover {
    background-color: var(--teal-hover);
    border-color: var(--teal-hover);
}



/*------------------------------------*\
# HEADER ACTIVE
\*------------------------------------*/

header.active .header-nav-item>a {
    color: var(--white) !important;
}

header.active .header-nav-item>a:after {
    background-color: var(--white);
}

header.active {
    margin: 0 calc((100% - 83rem) / 2);
    width: 83rem;
    height: 60px;
    justify-content: center;
    gap: 30px;
    border-color: transparent;
    transition: 800ms all cubic-bezier(.645, .045, .355, 1), 0ms border ease-out 0ms, 250ms background ease-out, 250ms padding;
}

header.active .header-content {
    padding: 10px 12px 10px 15px;
    background-color: var(--teal);
    transition: 250ms background ease-out, 250ms padding;
}

header.active .logo-img> :not(:first-child),
header.active .logo-icon>img {
    filter: brightness(0%) invert(100%);
}

header.active .logo-img .logo-icon {
    height: 0;
    opacity: 0;
    margin-right: 0;
}


/* Buttons */

header.active .button-container .border-button {
    border-color: var(--white);
    color: var(--white);
}

header.active .button-container .border-button i path {
    stroke: var(--white) !important
}

header.active .border-button:hover {
    color: var(--teal) !important;
    background-color: var(--white);
}

header.active .border-button:hover svg path {
    stroke: var(--teal) !important;
}

header.active .fill-button {
    background-color: var(--light-teal);
    border-color: var(--light-teal);
    color: var(--teal);
}

header.active .fill-button:hover {
    background-color: var(--light-teal-hover-light);
    border-color: var(--light-teal-hover-light);
}




/*------------------------------------*\
# HEADER NAV MENU
\*------------------------------------*/

header:has(.header-nav-item.active):not(.active) {
    top: 0;
    padding: 10px 0;
    background-color: var(--lighter-teal);
    transition: 0ms all, 100ms border ease-out, 250ms background ease-out;
}

.header-nav-menu-wrapper {
    position: absolute;
    top: 70px;
    width: 100vw;
    left: 50%;
    border-top: 1px solid #325C5C30;
    transform: translateX(-50%) translateY(100px);
    background-color: var(--lighter-teal);
    pointer-events: none;
    overflow: hidden;
    transition: 350ms all cubic-bezier(.83, .18, .08, .86), 750ms width cubic-bezier(0.16, 1, 0.3, 1);
    opacity: 0;
    transition-behavior: allow-discrete;
    transition-delay: 100ms;
}

.header-nav-menu-wrapper .vr {
    background-color: #325C5C30;
}

header.active .header-nav-menu-wrapper .vr {
    background-color: rgba(255, 255, 255, .1);
}

header.active .header-nav-menu-wrapper {
    left: 50%;
    border-radius: 5px;
    width: 80vw;
    top: 96px;
    border-radius: 30px;
    border: none !important
}

header .header-nav-item.active>.header-nav-menu-wrapper {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
}

header.active .header-nav-menu-wrapper {
    top: 85px;
    background-color: var(--primary-color);
    border-color: transparent;
}

.header-nav-item.active .header-nav-menu-wrapper {
    opacity: 1;
    pointer-events: unset;
    transition-delay: 0ms;
}

.header-nav-menu {
    width: 100%;
    min-height: 60vh;
    max-height: calc(100vh - 125px);
    margin: 0 auto;
    display: flex;
    justify-content: center;
    gap: 20px;
    transition: 250ms all cubic-bezier(.83, .18, .08, .86) 150ms;
    opacity: 0;
}

header.active .header-nav-menu {
    gap: 0;
}

header:has(.header-nav-item.active) .header-nav-menu {
    opacity: 1;
}


/* Router Side */

.header-nav-menu .router-side {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    margin: 15px;
    padding: 0 15px;
    overflow-x: clip;
    overflow-y: auto;
}

.header-nav-menu .router-side-title {
    margin-top: 1rem;
    margin-bottom: 3rem;
    font-weight: bold;
}

.header-nav-menu .router-items {
    max-width: 1124px;
    margin: 0 auto;
    height: fit-content;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5px;
    align-items: end;
}

.header-nav-menu .router-item {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: top;
    max-width: 400px;
    padding: 15px;
    border-radius: 10px;
    cursor: pointer;
    color: var(--teal) !important;
    transition: 250ms background-color;
}

.header-nav-menu .router-item:hover {
    transition: 50ms;
    background-color: rgba(50, 92, 92, .1);
}

header.active .header-nav-menu .router-item:hover {
    background-color: rgba(255, 255, 255, .1);
}

.header-nav-menu .router-item:not(.router-item ~ .router-item) {
    margin-top: auto;
}

.header-nav-menu .router-item .router-item-title {
    margin-top: 0;
    font-size: 1.25rem;
    margin-bottom: 10px;
    font-weight: bolder;
}

header.active .header-nav-menu .router-item .router-item-title {
    font-size: 1.2rem;
}

.header-nav-menu .router-item:hover .router-item-title {
    color: var(--orange);
}

.header-nav-menu .router-item span {
    position: relative;
    font-size: .9rem;
    font-weight: 400;
    width: 100%;
    margin: 0;
}

header.active .header-nav-menu .router-item span {
    font-size: .85rem;
    color: rgb(213, 219, 214);
}

header.active .header-nav-menu .router-item .router-item-title {
    color: var(--white);
}

header.active .router-item:hover .router-item-title {
    color: var(--light-teal);
}


/* Image Side */

.header-nav-menu .image-side {
    display: flex;
    flex-direction: column;
    padding: 15px;
    gap: 30px;
    transition: 375ms all cubic-bezier(.83, .18, .08, .86);
}

.header-nav-menu .image-item {
    border-radius: 20px;
    height: fit-content;
    aspect-ratio: 10 / 4;
    background-color: rgba(0, 0, 0, .1);
    position: relative;
    display: block;
    box-sizing: content-box;
    align-items: center;
    padding: 20px;
}

.header-nav-menu .image-item span,
.header-nav-menu .image-item .text-title,
.header-nav-menu .image-item p {
    position: relative;
    z-index: 1;
    color: var(--white);
    display: block;
    margin: 0;
}

.header-nav-menu .image-item .text-title {
    width: fit-content;
    position: relative;
    font-size: 1.5rem;
    border-bottom: 7px solid var(--highlight-color);
}

.header-nav-menu .image-item .text-title:after {
    content: "";
    display: block;
    position: absolute;
    bottom: -3px;
    width: 60%;
    height: 10px;
    z-index: -1;
}

.header-nav-menu .image-item:first-child .text-title:after {
    background-color: var(--teal);
}

.header-nav-menu .image-item:nth-child(2) .text-title:after {
    background-color: var(--orange);
}

.header-nav-menu .image-item p {
    font-weight: 400
}

.header-nav-menu .image-item .text-side {
    display: flex;
    flex-direction: column;
    gap: 20px;
    z-index: 1;
    color: var(--white);
}

.header-nav-menu .image-item>img,
.header-nav-menu .image-item:after {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
}

.header-nav-menu .image-item .illustration {
    z-index: 1;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    transform: translateY(25%);
    transition-duration: 250ms;
    transition-delay: 100ms;
    transition-property: transform, opacity;
    transition-timing-function: cubic-bezier(.83, .18, .08, .86);
    opacity: 0;
}

header:has(.header-nav-item.active) .header-nav-menu .illustration {
    transform: translateY(0);
    opacity: 1;
}

.header-nav-menu .image-item:after {
    content: "";
    opacity: .8;
    transition: 50ms background-color;
    border-radius: 20px;
}

.header-nav-menu .image-item:first-child:after {
    background-color: var(--orange);
}

.header-nav-menu .image-item:hover:first-child:after {
    background-color: #d87651;
}

.header-nav-menu .image-item:nth-child(2):after {
    background-color: var(--teal);
}

.header-nav-menu .image-item:hover:nth-child(2):after {
    background-color: #3f7575;
}


/* Contact Side */

.header-nav-menu .contact-side {
    padding: 20px;
    width: 30%;
}

header.active .header-nav-menu .contact-side {
    background-color: var(--teal-hover);
    color: white;
}

.header-nav-menu .contact-side .side-title {
    font-size: 1.5rem;
    color: var(--teal);
    font-weight: bold;
}

.header-nav-menu .contact-side p {
    font-weight: normal;
    max-width: 400px;
}

header.active .header-nav-menu .contact-side .side-title,
header.active .header-nav-menu .contact-side p {
    color: white;
}